﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Data;
using C1.WPF.FlexGrid;
using System.ComponentModel;

namespace C1FlexGrid_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    ///

    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var collection = new ObservableCollection<Customer>();

            for (int i = 1; i <= 50; i++)
            {
                collection.Add(new Customer(i));
            }

            c1FlexGrid1.ItemsSource = collection;
        }

        private void c1FlexGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            c1FlexGrid1.Select(16, 0, 16, c1FlexGrid1.Columns.Count - 1, true);
            c1FlexGrid1.Focus();
        }
    }
}
